FUNCTION::SPRINT_UBA(3stap)

NAME
function::sprint_ubacktrace - Return stack back trace for current user-space task as string.

SYNOPSIS

    sprint_ubacktrace:string()

ARGUMENTS

None

DESCRIPTION

Returns a simple backtrace for the current task. One line per address. Includes the symbol name (or hex address if symbol couldn't be resolved) and module name (if found). Includes the offset from the start of the function if found, otherwise the offset will be added to the module (if found, between brackets). Returns the backtrace as string (each line terminated by a newline character). Note that the returned stack will be truncated to MAXSTRINGLEN, to print fuller and richer stacks use print_ubacktrace. Equivalent to sprint_ustack(ubacktrace), but more efficient (no need to translate between hex strings and final backtrace string).

NOTE

To get (full) backtraces for user space applications and shared shared libraries not mentioned in the current script run stap with -d /path/to/exe-or-so and/or add --ldd to load all needed unwind data.

SEE ALSO
tapset::ucontext-unwind(3stap)